<?php
include('includes/header.php');
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

// Initialize variables for the selected date range
$fromDate = isset($_GET['fromDate']) ? $_GET['fromDate'] : '';
$toDate = isset($_GET['toDate']) ? $_GET['toDate'] : '';

?>

<div class="container mt-5">
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-header">
                    <h3>Receipt Report</h3>
                </div>
                <div class="card-body">
                    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="GET">
                        <div class="row mb-3">
                            <div class="col-md-6">
                                <label for="fromDate" class="form-label">From Date:</label>
                                <input type="date" class="form-control" id="fromDate" name="fromDate" value="<?php echo $fromDate; ?>">
                            </div>
                            <div class="col-md-6">
                                <label for="toDate" class="form-label">To Date:</label>
                                <input type="date" class="form-control" id="toDate" name="toDate" value="<?php echo $toDate; ?>">
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary">Filter</button>
                        <button id='download-csv' class='btn btn-primary float-end' style='margin-bottom: 10px;'>Download CSV</button>
                    </form>
                    <!-- Show the selected date range as a subheading -->
                    <h5>Report Dates: <?php echo $fromDate . ' to ' . $toDate; ?></h5>
                    <div class="table-responsive mt-3">
                        <table class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>S.No.</th>
                                    <th>Client Name</th>
                                    <th>Contract Name</th>
                                    <th>Milestone Name</th>
                                    <th>Bill Number</th>
                                    <th>Received Date</th>
                                    <th>Received Amount</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                // Prepare the SQL query based on the selected period
                                $sql = "SELECT clients.clientName, contracts.contractName, ncmilestones.milestone, 
                                        ncbilldetails.billNo, ncbilldetails.receivedDate, ncbilldetails.receivedAmt
                                        FROM ncbilldetails
                                        INNER JOIN ncmilestones ON ncbilldetails.ncmilestoneID = ncmilestones.ncmilestoneID
                                        INNER JOIN contracts ON ncmilestones.contractID = contracts.contractID
                                        INNER JOIN projects ON contracts.contractID = projects.contractID
                                        INNER JOIN clients ON projects.clientID = clients.clientID";
                                
                                if ($fromDate && $toDate) {
                                    // Add conditions for filtering by date range
                                    $sql .= " WHERE ncbilldetails.receivedDate BETWEEN '$fromDate' AND '$toDate'";
                                }

                                $sql .= " ORDER BY clients.clientName";

                                $result = mysqli_query($conn, $sql);

                                $totalAmount = 0;

                                if ($result && mysqli_num_rows($result) > 0) {
                                    $count = 1;
                                    while ($row = mysqli_fetch_assoc($result)) {
                                        echo "<tr>";
                                        echo "<td>" . $count . "</td>";
                                        echo "<td>" . $row['clientName'] . "</td>";
                                        echo "<td>" . $row['contractName'] . "</td>";
                                        echo "<td>" . $row['milestone'] . "</td>";
                                        echo "<td>" . $row['billNo'] . "</td>";
                                        echo "<td>" . $row['receivedDate'] . "</td>";
                                        echo "<td>" . $row['receivedAmt'] . "</td>";
                                        echo "</tr>";
                                        $totalAmount += $row['receivedAmt'];
                                        $count++;
                                    }
                                } else {
                                    echo "<tr><td colspan='7'>No receipt details found.</td></tr>";
                                }
                                ?>
                                <!-- Row to show totals -->
                                <tr>
                                    <td colspan="6" class="text-end"><strong>Total:</strong></td>
                                    <td><?php echo $totalAmount; ?></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
        // Function to trigger CSV download
        function downloadCSV() {
            const table = document.querySelector('.table');
            const rows = table.querySelectorAll('tr');
            const csv = [];

            // Generate CSV content
            rows.forEach((row, rowIndex) => {
                const rowData = [];
                row.querySelectorAll('td, th').forEach((cell, cellIndex) => {
                    // Wrap cell data in double quotes and escape existing double quotes
                    const cellData = cell.textContent.replace(/"/g, '""');
                    rowData.push(`"${cellData}"`);
                });

                // Include the header row if it's the first row
                if (rowIndex === 0) {
                    csv.push(rowData.join(','));
                } else {
                    csv.push(rowData.join(','));
                }
            });

            // Create a blob containing the CSV data
            const blob = new Blob([csv.join('\n')], { type: 'text/csv' });

            // Create a download link and trigger the download
            const link = document.createElement('a');
            link.href = URL.createObjectURL(blob);
            link.download = 'project_contribution.csv';
            link.style.display = 'none';
            document.body.appendChild(link);
            link.click();
            document.body.removeChild(link);
        }

        // Add click event listener to the download button
        document.getElementById('download-csv').addEventListener('click', downloadCSV);
</script>

<?php include('includes/footer.php'); ?>